View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0020629FPCCompilerpublic2011-11-05 16:402012-06-24 19:40
ReporterJC Chu 
Assigned ToSven Barth 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionProduct Build 
Target Version2.7.1Fixed in Version2.7.1 
Summary0020629: In Delphi mode, inline generic specialization with class types causes error
DescriptionA generic type can be specialized with class types, but in Delphi mode, such specializations cannot occur inline.
Steps To ReproduceSee attached file.
Tagsgenerics
FPCOldBugId
Fixed in Revision19763
Attached Files? file icon InlineSpecializationWithClassType.pp [^] (214 bytes) 2011-11-05 16:40

- Relationships

-  Notes
(0054814)
Sven Barth (manager)
2011-12-08 10:11

Please test and close if okay.

- Issue History
Date Modified Username Field Change
2011-11-05 16:40 JC Chu New Issue
2011-11-05 16:40 JC Chu File Added: InlineSpecializationWithClassType.pp
2011-11-05 16:40 JC Chu Tag Attached: generics
2011-12-08 10:11 Sven Barth Fixed in Revision => 19763
2011-12-08 10:11 Sven Barth Status new => resolved
2011-12-08 10:11 Sven Barth Fixed in Version => 2.7.1
2011-12-08 10:11 Sven Barth Resolution open => fixed
2011-12-08 10:11 Sven Barth Assigned To => Sven Barth
2011-12-08 10:11 Sven Barth Note Added: 0054814
2011-12-08 10:11 Sven Barth Target Version => 2.7.1
2012-06-24 19:40 JC Chu Status resolved => closed



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker